CREATE TABLE gtg_ts_calccard (
    ETL_SEQUENCE_ID              NUMBER(19, 0),
    ETL_VERSION_NUMBER           NUMBER(18, 0),
    DELETE_VERSION_NUMBER        NUMBER(18, 0),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATOR_ID                   NUMBER(18, 0),
    CREATOR_TYPE                 VARCHAR2(120),
    DIR_CARD_DEFINITION_ID       NUMBER(18, 0),
    DIR_CARD_ID                  NUMBER(18, 0),
    EFFEDDT                      DATE         ,
    EFFSTRDT                     DATE         ,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0),
    PAYDIRCARDSF_CB              VARCHAR2(256),
    PAYDIRCARDSF_CD              TIMESTAMP(6) ,
    PAYDIRCARDSF_LUB             VARCHAR2(256),
    PAYDIRCARDSF_LUD             TIMESTAMP(6) ,
    PAYROLL_RELATIONSHIP_ID      NUMBER(18, 0),
    SOURCE_ID                    NUMBER(18, 0),
    SOURCE_TYPE                  VARCHAR2(120),
    STATUS                       VARCHAR2(120),
    ETL_SEQUENCE_ID              NUMBER(19, 0),
    ETL_VERSION_NUMBER           NUMBER(18, 0),
    DELETE_VERSION_NUMBER        NUMBER(18, 0),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATOR_ID                   NUMBER(18, 0),
    CREATOR_TYPE                 VARCHAR2(120),
    DIR_CARD_DEFINITION_ID       NUMBER(18, 0),
    DIR_CARD_ID                  NUMBER(18, 0),
    EFFEDDT                      DATE         ,
    EFFSTRDT                     DATE         ,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0),
    PAYDIRCARDSF_CB              VARCHAR2(256),
    PAYDIRCARDSF_CD              TIMESTAMP(6) ,
    PAYDIRCARDSF_LUB             VARCHAR2(256),
    PAYDIRCARDSF_LUD             TIMESTAMP(6) ,
    PAYROLL_RELATIONSHIP_ID      NUMBER(18, 0),
    SOURCE_ID                    NUMBER(18, 0),
    SOURCE_TYPE                  VARCHAR2(120),
    STATUS                       VARCHAR2(120),
    CONSTRAINT pk_gtg_ts_calccard PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
